var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import PropTypes from 'prop-types';
import { Button as SemanticButton } from 'semantic-ui-react';
import cx from 'classnames';

import getUnhandledProps from '../helpers/getUnhandledProps';

var Button = function Button(props) {
  var buttonProps = getUnhandledProps(Button, props);
  var className = props.className,
      color = props.color,
      icon = props.icon;


  return React.createElement(SemanticButton, _extends({}, buttonProps, { className: cx(className, 'genomix', color), icon: icon }));
};

Button.propTypes = process.env.NODE_ENV !== "production" ? {
  icon: PropTypes.string,
  color: PropTypes.string,
  className: PropTypes.string
} : {};

Button.defaultProps = {};

Button.handledProps = ['className', 'icon', 'color'];

export default Button;