var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import { CSVLink } from 'react-csv';
import moment from 'moment';

import { Button } from '../index';

var ExportButton = function ExportButton(_ref) {
  var data = _ref.data,
      filenamePrefix = _ref.filenamePrefix,
      content = _ref.content,
      rest = _objectWithoutProperties(_ref, ['data', 'filenamePrefix', 'content']);

  var timestamp = moment().format('YYYY_MM_DD-HH_mm_ss');

  return React.createElement(
    CSVLink,
    _extends({
      filename: filenamePrefix + '-' + timestamp + '.csv',
      target: '' // Bypass AdBlockers
      , data: data
    }, rest),
    content
  );
};

ExportButton.propTypes = process.env.NODE_ENV !== "production" ? {
  data: PropTypes.arrayOf(PropTypes.shape),
  filenamePrefix: PropTypes.string,
  content: PropTypes.oneOfType([PropTypes.element, PropTypes.string])
} : {};

ExportButton.defaultProps = {
  data: [],
  content: React.createElement(Button, { content: 'Export', icon: 'download' }),
  filenamePrefix: 'export'
};

export default ExportButton;