var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React, { useState } from 'react';
import PropTypes from 'prop-types';
import { Form } from 'semantic-ui-react';

var SaveForm = function SaveForm(_ref) {
  var defaultValues = _ref.defaultValues,
      handleChange = _ref.handleChange,
      handleSubmit = _ref.handleSubmit,
      children = _ref.children,
      formId = _ref.formId,
      saveButton = _ref.saveButton;

  var _useState = useState(defaultValues),
      state = _useState[0],
      setState = _useState[1];

  var onChange = function onChange(e, _ref2) {
    var _extends2;

    var name = _ref2.name,
        value = _ref2.value;

    if (handleChange) handleChange(e, { name: name, value: value });
    setState(_extends({}, state, (_extends2 = {}, _extends2[name] = value, _extends2)));
  };

  var onSubmit = function onSubmit(e) {
    e.preventDefault();
    if (handleSubmit) handleSubmit(state);
  };

  var formInputs = React.Children.map(children, function (input) {
    return React.cloneElement(input, { onChange: onChange });
  });

  var button = void 0;
  if (saveButton) button = React.cloneElement(saveButton, { type: 'submit', form: formId });

  return React.createElement(
    Form,
    { id: formId, onSubmit: onSubmit },
    formInputs,
    button
  );
};

SaveForm.propTypes = process.env.NODE_ENV !== "production" ? {
  formId: PropTypes.string.isRequired,
  handleChange: PropTypes.func,
  handleSubmit: PropTypes.func,
  saveButton: PropTypes.element
} : {};

SaveForm.defaultProps = {
  saveButton: undefined
};

export default SaveForm;