import { useState } from 'react';
import { concat, without } from 'lodash';

var useStateList = function useStateList() {
  var values = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

  var _useState = useState(values),
      list = _useState[0],
      setState = _useState[1];

  var setList = function setList(value) {
    setState(function (prevState) {
      if (prevState.includes(value)) return without(prevState, value);else return concat(prevState, [value]);
    });
  };

  var resetValues = function resetValues() {
    var values = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    return setState(values);
  };

  return [list, setList, resetValues];
};

export default useStateList;