import { useMemo } from 'react';
import { useLocation, useParams } from 'react-router-dom';

import { parseUrlQueryParams } from '../utils/parseURLQueryParams';

export var useURLQueryParams = function useURLQueryParams() {
  var array_keys = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

  var _useLocation = useLocation(),
      search = _useLocation.search;

  var parameters = useParams();
  return {
    queryParameters: useMemo(function () {
      return search ? parseUrlQueryParams(search, array_keys) : {};
    }, [search, array_keys]),
    parameters: parameters
  };
};

export default useURLQueryParams;