import { useState, useEffect } from 'react';

export var getWindowSize = function getWindowSize() {
  return {
    innerHeight: window.innerHeight,
    innerWidth: window.innerWidth,
    outerHeight: window.outerHeight,
    outerWidth: window.outerWidth
  };
};

export var useWindowSize = function useWindowSize() {
  var _useState = useState(getWindowSize()),
      windowSize = _useState[0],
      setWindowSize = _useState[1];

  function handleResize() {
    setWindowSize(getWindowSize());
  }

  useEffect(function () {
    window.addEventListener('resize', handleResize);
    return function () {
      window.removeEventListener('resize', handleResize);
    };
  }, []);

  return windowSize;
};

export default useWindowSize;