var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import PropTypes from 'prop-types';

import * as customPropTypes from '../helpers/customPropTypes';
import getElementType from '../helpers/getElementType';
import getUnhandledProps from '../helpers/getUnhandledProps';

var Link = function Link(props) {
  var ElementType = getElementType(Link, props);
  var rest = getUnhandledProps(Link, props);
  var content = props.content;


  var additionalProps = {};
  if (ElementType === 'a') {
    additionalProps.target = '_blank';
    additionalProps.rel = 'noopener noreferrer';
  }

  return React.createElement(
    ElementType,
    _extends({}, rest, additionalProps),
    content
  );
};

Link.propTypes = process.env.NODE_ENV !== "production" ? {
  as: customPropTypes.as,
  content: PropTypes.any
} : {};

Link.defaultProps = {
  as: 'a'
};

Link.handledProps = ['as', 'content'];

export default Link;