import React from 'react';
import PropTypes from 'prop-types';
import { Image, Icon } from 'semantic-ui-react';
import faker from 'faker';

var Avatar = function Avatar(props) {
  var profileImage = props.profileImage;


  var src = profileImage;
  if (!src) {
    src = faker.internet.avatar();
  }

  return React.createElement(
    'div',
    null,
    React.createElement(Image, { avatar: true, src: src }),
    React.createElement(Icon, { name: 'chevron down', size: 'small' })
  );
};

Avatar.propTypes = process.env.NODE_ENV !== "production" ? {
  profileImage: PropTypes.string
} : {};

Avatar.defaultProps = {
  profileImage: undefined
};

export default Avatar;