import React from 'react';
import PropTypes from 'prop-types';
import { Dropdown, Icon } from 'semantic-ui-react';

var DropdownMenu = function DropdownMenu(props) {
  var children = props.children;


  return React.createElement(
    Dropdown,
    { trigger: React.createElement(Icon, { name: 'sidebar', size: 'large' }), icon: null },
    React.createElement(
      Dropdown.Menu,
      { className: 'NavbarDropdownMenu' },
      children
    )
  );
};

DropdownMenu.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.oneOfType([PropTypes.node, PropTypes.arrayOf(PropTypes.node)])
} : {};

DropdownMenu.defaultProps = {};

export default DropdownMenu;