import React from 'react';
import PropTypes from 'prop-types';
import { Dropdown, Divider } from 'semantic-ui-react';

import * as customPropTypes from '../helpers/customPropTypes';
import { Avatar } from '../index';

var UserMenu = function UserMenu(props) {
  var email = props.email,
      linksAs = props.linksAs,
      name = props.name,
      profileImage = props.profileImage;


  return React.createElement(
    Dropdown,
    { trigger: React.createElement(Avatar, { profileImage: profileImage }), icon: null },
    React.createElement(
      Dropdown.Menu,
      { className: 'NavbarDropdownMenu' },
      React.createElement(Dropdown.Item, { text: name }),
      React.createElement(Dropdown.Item, { text: email, disabled: true }),
      React.createElement(Divider, null),
      React.createElement(Dropdown.Item, { text: 'Settings', as: linksAs, to: 'settings', href: 'settings' }),
      React.createElement(Dropdown.Item, { text: 'Log Out', as: linksAs, to: '/logout', href: '/logout' })
    )
  );
};

UserMenu.propTypes = process.env.NODE_ENV !== "production" ? {
  username: PropTypes.string.isRequired,
  email: PropTypes.string.isRequired,
  name: PropTypes.string.isRequired,
  profileImage: PropTypes.string,
  linksAs: customPropTypes.as // This is to allow the option to pass in NavLink from react-router
} : {};

UserMenu.defaultProps = {
  linksAs: 'a'
};

export default UserMenu;