import React from 'react';
import PropTypes from 'prop-types';
import { Button, Popup, Icon } from 'semantic-ui-react';

var RatingPopup = function RatingPopup(_ref) {
  var database = _ref.database,
      value = _ref.value,
      url = _ref.url;

  var color = 'grey';
  var message = 'Not present in ' + database + '!';
  var content = React.createElement(
    'p',
    null,
    message
  );

  if (value) {
    color = 'yellow';
    message = 'Present in ' + database + '!';
    content = React.createElement(
      'div',
      null,
      React.createElement(
        'p',
        null,
        message
      ),
      React.createElement(
        'a',
        { target: '_blank', rel: 'noopener noreferrer', href: url },
        React.createElement(Button, { fluid: true, content: 'Go to ' + database })
      )
    );
  }

  return React.createElement(Popup, { trigger: React.createElement(Icon, { color: color, name: 'star' }), content: content, hoverable: true });
};

RatingPopup.propTypes = process.env.NODE_ENV !== "production" ? {
  database: PropTypes.string,
  value: PropTypes.any,
  url: PropTypes.string
} : {};

export default RatingPopup;