var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import { Popup, Progress, Label, Icon, Button } from 'semantic-ui-react';

import { utils } from '../index';

var TurnAroundTimeProgress = function TurnAroundTimeProgress(_ref) {
  var target = _ref.target,
      start = _ref.start,
      signout = _ref.signout,
      _ref$compact = _ref.compact,
      compact = _ref$compact === undefined ? false : _ref$compact,
      rest = _objectWithoutProperties(_ref, ['target', 'start', 'signout', 'compact']);

  var _utils$getTurnAroundT = utils.getTurnAroundTimeDetails(target, start, signout),
      label = _utils$getTurnAroundT.label,
      color = _utils$getTurnAroundT.color,
      value = _utils$getTurnAroundT.value,
      completed = _utils$getTurnAroundT.completed;

  if (start) {
    return React.createElement(
      Popup,
      {
        flowing: true,
        trigger: signout ? React.createElement(
          Button,
          { fluid: true, compact: true, size: 'mini', style: { boxShadow: 'none' } },
          React.createElement(Icon, { name: 'checkmark', color: 'green' }),
          compact ? null : 'Completed :',
          React.createElement(
            Label,
            { circular: true, color: color },
            label
          )
        ) : React.createElement(
          Progress,
          _extends({ value: value, total: target, color: color, active: true, disabled: completed ? true : false }, rest),
          React.createElement(
            Label,
            null,
            label
          )
        )
      },
      React.createElement(
        Popup.Content,
        null,
        React.createElement(
          'strong',
          null,
          'Target:'
        ),
        ' ',
        target,
        ' days',
        React.createElement('br', null),
        React.createElement(
          'strong',
          null,
          'Started:'
        ),
        ' ',
        utils.dateFormatter(start, 'YYYY-MM,DD'),
        React.createElement('br', null),
        React.createElement(
          'strong',
          null,
          'Signed out:'
        ),
        ' ',
        signout ? utils.dateFormatter(signout, 'YYYY-MM-DD') : 'N/A'
      )
    );
  } else {
    return React.createElement(
      'p',
      null,
      'Not started!'
    );
  }
};

export { TurnAroundTimeProgress };
TurnAroundTimeProgress.propTypes = process.env.NODE_ENV !== "production" ? {
  target: PropTypes.number,
  start: PropTypes.string,
  signout: PropTypes.string,
  compact: PropTypes.bool
} : {};

export default TurnAroundTimeProgress;