var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import { Checkbox } from 'semantic-ui-react';
import { get } from 'lodash';

var CheckboxCell = function CheckboxCell(_ref) {
  var cellData = _ref.cellData,
      rowData = _ref.rowData,
      column = _ref.column,
      rest = _objectWithoutProperties(_ref, ['cellData', 'rowData', 'column']);

  var onSelect = get(column, 'onSelect');
  var onSelectAll = get(column, 'onSelectAll');
  var props = get(column, 'props');
  var selectedRows = get(column, 'selectedRows', []);
  var header = 'headerIndex' in rest;
  var container = get(rest, 'container');
  var rows = get(container, '_data', []);

  if (header) {
    return React.createElement(Checkbox, _extends({
      checked: selectedRows.length >= rows.length && rows.length > 0,
      indeterminate: selectedRows.length > 0 && selectedRows.length !== rows.length,
      onChange: function onChange(e, data) {
        if (onSelectAll) onSelectAll(e, data, rows);
      }
    }, props));
  }

  return React.createElement(Checkbox, _extends({
    checked: selectedRows.includes(cellData)
  }, props, {
    onChange: function onChange(e, data) {
      if (onSelect) onSelect(e, _extends({}, data, { cellData: cellData, rowData: rowData }));
    }
  }));
};

export { CheckboxCell };
export default CheckboxCell;