var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import { Label, Popup } from 'semantic-ui-react';
import { get } from 'lodash';

import { ExternalLink } from '../links/external-link';
import * as urlBuilders from '../utils/urlBuilders';

export var LocusCell = function LocusCell(_ref) {
  var rowData = _ref.rowData,
      column = _ref.column;

  var props = get(column, 'props');
  var chromosome = get(rowData, 'chromosome');
  var start = parseInt(get(rowData, 'start'), 10).toLocaleString();
  var end = parseInt(get(rowData, 'end'), 10).toLocaleString();
  var trigger = chromosome + ':' + start + '-' + end;

  return React.createElement(
    Popup,
    _extends({ trigger: React.createElement(
        'p',
        { style: { cursor: 'pointer' } },
        trigger
      ), on: 'click', wide: 'very' }, props),
    React.createElement(
      Popup.Content,
      null,
      React.createElement(
        ExternalLink,
        { href: urlBuilders.ucscLocus(chromosome, start, end), style: { paddingRight: 5 } },
        React.createElement(Label, { content: 'UCSC', color: 'yellow' })
      ),
      React.createElement(
        ExternalLink,
        { href: urlBuilders.dgvRegionSearch(chromosome, start, end), style: { paddingRight: 5 } },
        React.createElement(Label, { content: 'DGV', color: 'teal' })
      ),
      React.createElement(
        ExternalLink,
        { href: urlBuilders.decipherRegionSearch(chromosome, start, end), style: { paddingRight: 5 } },
        React.createElement(Label, { content: 'Decipher', color: 'blue' })
      )
    )
  );
};

export default LocusCell;