var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import { Label } from 'semantic-ui-react';
import { get, toLower } from 'lodash';

export var StatusCell = function StatusCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;

  var labelProps = get(column, 'props', {});
  var value = toLower(cellData);

  var props = {};
  if (value.includes('run')) props = { icon: 'hourglass start', color: 'blue' };else if (value.includes('pend')) props = { icon: 'clock outline', color: 'yellow' };else if (value.includes('complete')) props = { icon: 'checkmark', color: 'green' };else if (value.includes('fail')) props = { icon: 'x', color: 'red' };

  return React.createElement(Label, _extends({ content: cellData }, props, labelProps));
};

export default StatusCell;