'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactCsv = require('react-csv');

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _index = require('../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var ExportButton = function ExportButton(_ref) {
  var data = _ref.data,
      filenamePrefix = _ref.filenamePrefix,
      content = _ref.content,
      rest = _objectWithoutProperties(_ref, ['data', 'filenamePrefix', 'content']);

  var timestamp = (0, _moment2.default)().format('YYYY_MM_DD-HH_mm_ss');

  return _react2.default.createElement(
    _reactCsv.CSVLink,
    _extends({
      filename: filenamePrefix + '-' + timestamp + '.csv',
      target: '' // Bypass AdBlockers
      , data: data
    }, rest),
    content
  );
};

ExportButton.propTypes = process.env.NODE_ENV !== "production" ? {
  data: _propTypes2.default.arrayOf(_propTypes2.default.shape),
  filenamePrefix: _propTypes2.default.string,
  content: _propTypes2.default.oneOfType([_propTypes2.default.element, _propTypes2.default.string])
} : {};

ExportButton.defaultProps = {
  data: [],
  content: _react2.default.createElement(_index.Button, { content: 'Export', icon: 'download' }),
  filenamePrefix: 'export'
};

exports.default = ExportButton;
module.exports = exports['default'];