'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var AutoCompleteDropDown = function AutoCompleteDropDown(_ref) {
  var endpoint = _ref.endpoint,
      searchAction = _ref.searchAction,
      waitInterval = _ref.waitInterval,
      loading = _ref.loading,
      props = _objectWithoutProperties(_ref, ['endpoint', 'searchAction', 'waitInterval', 'loading']);

  var _useState = (0, _react.useState)(false),
      state = _useState[0],
      setState = _useState[1];

  var countRef = (0, _react.useRef)(null);
  countRef.current = null;

  (0, _react.useEffect)(function () {
    return setState(loading);
  }, [loading]);

  var onSearchChange = function onSearchChange(e, _ref2) {
    var searchQuery = _ref2.searchQuery;

    clearTimeout(countRef.current);
    countRef.current = setTimeout(function () {
      return searchAction(searchQuery);
    }, waitInterval);
    setState(true);
  };

  return _react2.default.createElement(_semanticUiReact.Dropdown, _extends({ search: true, selection: true, onSearchChange: onSearchChange, loading: state }, props));
};

AutoCompleteDropDown.propTypes = process.env.NODE_ENV !== "production" ? {
  searchAction: _propTypes2.default.func.isRequired,
  waitInterval: _propTypes2.default.number,
  loading: _propTypes2.default.bool
} : {};

AutoCompleteDropDown.defaultProps = {
  waitInterval: 750,
  loading: false
};

exports.default = AutoCompleteDropDown;
module.exports = exports['default'];