'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _index = require('../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var LoginForm = function LoginForm(_ref) {
  var handleLogin = _ref.handleLogin,
      props = _objectWithoutProperties(_ref, ['handleLogin']);

  var defaultValues = { username: '', password: '', loading: props.loading, error: props.error };

  var _useState = (0, _react.useState)(defaultValues),
      state = _useState[0],
      setState = _useState[1];

  var handleChange = function handleChange(e, _ref2) {
    var _extends2;

    var name = _ref2.name,
        value = _ref2.value;

    setState(_extends({}, state, (_extends2 = {}, _extends2[name] = value, _extends2.error = undefined, _extends2)));
  };

  var handleSubmit = function handleSubmit(e) {
    e.preventDefault();
    var username = state.username,
        password = state.password;


    if (!username || !password) {
      setState(_extends({}, state, { error: 'Username and Password are required!' }));
    } else {
      handleLogin({ username: username, password: password });
      setState(_extends({}, state, { loading: true }));
    }
  };

  var username = state.username,
      password = state.password,
      error = state.error,
      loading = state.loading;


  return _react2.default.createElement(
    _semanticUiReact.Form,
    { id: 'login-form', className: 'login-form', size: 'large', key: 'big', onSubmit: handleSubmit, loading: loading },
    _react2.default.createElement(_semanticUiReact.Form.Input, {
      id: 'username',
      name: 'username',
      className: 'login-input',
      placeholder: 'Username',
      icon: 'user',
      iconPosition: 'left',
      required: true,
      onChange: handleChange
    }),
    _react2.default.createElement(_semanticUiReact.Form.Input, {
      id: 'password',
      name: 'password',
      className: 'login-input',
      placeholder: 'Password',
      icon: 'lock',
      iconPosition: 'left',
      required: true,
      onChange: handleChange,
      type: 'password'
    }),
    error ? _react2.default.createElement(
      _semanticUiReact.Message,
      { negative: true },
      _react2.default.createElement(
        _semanticUiReact.Message.Header,
        { as: 'h5' },
        'Login Failed'
      ),
      _react2.default.createElement(
        'p',
        null,
        error
      )
    ) : '',
    _react2.default.createElement(_index.Button, {
      className: 'login-button',
      type: 'submit',
      form: 'login-form',
      content: 'Sign In',
      primary: true,
      fluid: true,
      size: 'large',
      disabled: !username || !password
    })
  );
};

LoginForm.propTypes = process.env.NODE_ENV !== "production" ? {
  handleLogin: _propTypes2.default.func.isRequired,
  loading: _propTypes2.default.bool,
  error: _propTypes2.default.string
} : {};

LoginForm.defaultProps = {
  loading: false,
  error: undefined
};

exports.default = LoginForm;
module.exports = exports['default'];