'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SaveForm = function SaveForm(_ref) {
  var defaultValues = _ref.defaultValues,
      handleChange = _ref.handleChange,
      handleSubmit = _ref.handleSubmit,
      children = _ref.children,
      formId = _ref.formId,
      saveButton = _ref.saveButton;

  var _useState = (0, _react.useState)(defaultValues),
      state = _useState[0],
      setState = _useState[1];

  var onChange = function onChange(e, _ref2) {
    var _extends2;

    var name = _ref2.name,
        value = _ref2.value;

    if (handleChange) handleChange(e, { name: name, value: value });
    setState(_extends({}, state, (_extends2 = {}, _extends2[name] = value, _extends2)));
  };

  var onSubmit = function onSubmit(e) {
    e.preventDefault();
    if (handleSubmit) handleSubmit(state);
  };

  var formInputs = _react2.default.Children.map(children, function (input) {
    return _react2.default.cloneElement(input, { onChange: onChange });
  });

  var button = void 0;
  if (saveButton) button = _react2.default.cloneElement(saveButton, { type: 'submit', form: formId });

  return _react2.default.createElement(
    _semanticUiReact.Form,
    { id: formId, onSubmit: onSubmit },
    formInputs,
    button
  );
};

SaveForm.propTypes = process.env.NODE_ENV !== "production" ? {
  formId: _propTypes2.default.string.isRequired,
  handleChange: _propTypes2.default.func,
  handleSubmit: _propTypes2.default.func,
  saveButton: _propTypes2.default.element
} : {};

SaveForm.defaultProps = {
  saveButton: undefined
};

exports.default = SaveForm;
module.exports = exports['default'];