'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _lodash = require('lodash');

var useFormInput = function useFormInput() {
  var data = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var _useState = (0, _react.useState)(data),
      values = _useState[0],
      setState = _useState[1];

  var setInput = function setInput(_ref) {
    var _updatedValues, _updatedValues2, _updatedValues3;

    var name = _ref.name,
        checked = _ref.checked,
        value = _ref.value,
        type = _ref.type;

    var updatedValues = (_updatedValues = {}, _updatedValues[name] = value, _updatedValues);
    if ((0, _lodash.toLower)(type) === 'number') updatedValues = (_updatedValues2 = {}, _updatedValues2[name] = parseFloat(value), _updatedValues2);else if ((0, _lodash.toLower)(type) === 'checkbox') updatedValues = (_updatedValues3 = {}, _updatedValues3[name] = checked, _updatedValues3);
    setState(function (prevState) {
      return _extends({}, prevState, updatedValues);
    });
  };

  var resetValues = function resetValues(defaults) {
    return setState(defaults);
  };

  return [values, setInput, resetValues];
};

exports.default = useFormInput;
module.exports = exports['default'];