'use strict';

exports.__esModule = true;

var _react = require('react');

var useInterval = function useInterval(callback, delay) {
  var savedCallback = (0, _react.useRef)();

  // Remember the latest callback.
  (0, _react.useEffect)(function () {
    savedCallback.current = callback;
  }, [callback]);

  // Set up the interval.
  (0, _react.useEffect)(function () {
    var tick = function tick() {
      return savedCallback.current();
    };

    if (delay !== null) {
      var id = setInterval(tick, delay);
      return function () {
        return clearInterval(id);
      };
    }
  }, [delay]);
};

exports.default = useInterval;
module.exports = exports['default'];