'use strict';

exports.__esModule = true;

var _react = require('react');

var _lodash = require('lodash');

var useStateList = function useStateList() {
  var values = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

  var _useState = (0, _react.useState)(values),
      list = _useState[0],
      setState = _useState[1];

  var setList = function setList(value) {
    setState(function (prevState) {
      if (prevState.includes(value)) return (0, _lodash.without)(prevState, value);else return (0, _lodash.concat)(prevState, [value]);
    });
  };

  var resetValues = function resetValues() {
    var values = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    return setState(values);
  };

  return [list, setList, resetValues];
};

exports.default = useStateList;
module.exports = exports['default'];