'use strict';

exports.__esModule = true;
exports.useWindowSize = exports.getWindowSize = undefined;

var _react = require('react');

var getWindowSize = exports.getWindowSize = function getWindowSize() {
  return {
    innerHeight: window.innerHeight,
    innerWidth: window.innerWidth,
    outerHeight: window.outerHeight,
    outerWidth: window.outerWidth
  };
};

var useWindowSize = exports.useWindowSize = function useWindowSize() {
  var _useState = (0, _react.useState)(getWindowSize()),
      windowSize = _useState[0],
      setWindowSize = _useState[1];

  function handleResize() {
    setWindowSize(getWindowSize());
  }

  (0, _react.useEffect)(function () {
    window.addEventListener('resize', handleResize);
    return function () {
      window.removeEventListener('resize', handleResize);
    };
  }, []);

  return windowSize;
};

exports.default = useWindowSize;