'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _customPropTypes = require('../helpers/customPropTypes');

var customPropTypes = _interopRequireWildcard(_customPropTypes);

var _getElementType = require('../helpers/getElementType');

var _getElementType2 = _interopRequireDefault(_getElementType);

var _getUnhandledProps = require('../helpers/getUnhandledProps');

var _getUnhandledProps2 = _interopRequireDefault(_getUnhandledProps);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Link = function Link(props) {
  var ElementType = (0, _getElementType2.default)(Link, props);
  var rest = (0, _getUnhandledProps2.default)(Link, props);
  var content = props.content;


  var additionalProps = {};
  if (ElementType === 'a') {
    additionalProps.target = '_blank';
    additionalProps.rel = 'noopener noreferrer';
  }

  return _react2.default.createElement(
    ElementType,
    _extends({}, rest, additionalProps),
    content
  );
};

Link.propTypes = process.env.NODE_ENV !== "production" ? {
  as: customPropTypes.as,
  content: _propTypes2.default.any
} : {};

Link.defaultProps = {
  as: 'a'
};

Link.handledProps = ['as', 'content'];

exports.default = Link;
module.exports = exports['default'];