'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _faker = require('faker');

var _faker2 = _interopRequireDefault(_faker);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Avatar = function Avatar(props) {
  var profileImage = props.profileImage;


  var src = profileImage;
  if (!src) {
    src = _faker2.default.internet.avatar();
  }

  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(_semanticUiReact.Image, { avatar: true, src: src }),
    _react2.default.createElement(_semanticUiReact.Icon, { name: 'chevron down', size: 'small' })
  );
};

Avatar.propTypes = process.env.NODE_ENV !== "production" ? {
  profileImage: _propTypes2.default.string
} : {};

Avatar.defaultProps = {
  profileImage: undefined
};

exports.default = Avatar;
module.exports = exports['default'];