'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var renderSubMenu = function renderSubMenu(element) {
  if (element) {
    return _react2.default.createElement(
      _semanticUiReact.Menu.Item,
      null,
      element
    );
  }
};

var Navbar = function Navbar(props) {
  var activeItem = props.activeItem,
      children = props.children,
      logo = props.logo,
      subMenu = props.subMenu,
      userMenu = props.userMenu,
      navCallback = props.navCallback;


  var items = _react2.default.Children.map(children, function (item) {
    return _react2.default.cloneElement(item, {
      active: activeItem === item.props.name
    });
  });

  return _react2.default.createElement(
    _semanticUiReact.Menu,
    { className: 'navbar', borderless: true },
    _react2.default.createElement(
      _semanticUiReact.Menu.Item,
      null,
      _react2.default.createElement(_semanticUiReact.Icon, { name: 'angle right', size: 'large', link: true, onClick: navCallback })
    ),
    renderSubMenu(logo),
    renderSubMenu(subMenu),
    _react2.default.createElement(
      _semanticUiReact.Menu.Menu,
      { position: 'right' },
      items,
      renderSubMenu(userMenu)
    )
  );
};

Navbar.propTypes = process.env.NODE_ENV !== "production" ? {
  activeItem: _propTypes2.default.string,
  children: _propTypes2.default.any.isRequired,
  logo: _propTypes2.default.node,
  subMenu: _propTypes2.default.node,
  userMenu: _propTypes2.default.node,
  navCallback: _propTypes2.default.func
} : {};

Navbar.defaultProps = {
  activeItem: ''
};

exports.default = Navbar;
module.exports = exports['default'];