'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _customPropTypes = require('../helpers/customPropTypes');

var customPropTypes = _interopRequireWildcard(_customPropTypes);

var _index = require('../index');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var UserMenu = function UserMenu(props) {
  var email = props.email,
      linksAs = props.linksAs,
      name = props.name,
      profileImage = props.profileImage;


  return _react2.default.createElement(
    _semanticUiReact.Dropdown,
    { trigger: _react2.default.createElement(_index.Avatar, { profileImage: profileImage }), icon: null },
    _react2.default.createElement(
      _semanticUiReact.Dropdown.Menu,
      { className: 'NavbarDropdownMenu' },
      _react2.default.createElement(_semanticUiReact.Dropdown.Item, { text: name }),
      _react2.default.createElement(_semanticUiReact.Dropdown.Item, { text: email, disabled: true }),
      _react2.default.createElement(_semanticUiReact.Divider, null),
      _react2.default.createElement(_semanticUiReact.Dropdown.Item, { text: 'Settings', as: linksAs, to: 'settings', href: 'settings' }),
      _react2.default.createElement(_semanticUiReact.Dropdown.Item, { text: 'Log Out', as: linksAs, to: '/logout', href: '/logout' })
    )
  );
};

UserMenu.propTypes = process.env.NODE_ENV !== "production" ? {
  username: _propTypes2.default.string.isRequired,
  email: _propTypes2.default.string.isRequired,
  name: _propTypes2.default.string.isRequired,
  profileImage: _propTypes2.default.string,
  linksAs: customPropTypes.as // This is to allow the option to pass in NavLink from react-router
} : {};

UserMenu.defaultProps = {
  linksAs: 'a'
};

exports.default = UserMenu;
module.exports = exports['default'];