'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _index = require('../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var FormModal = function FormModal(_ref) {
  var open = _ref.open,
      handleSubmit = _ref.handleSubmit,
      props = _objectWithoutProperties(_ref, ['open', 'handleSubmit']);

  var cancelButton = props.cancelButton,
      children = props.children,
      defaultValues = props.defaultValues,
      formId = props.formId,
      handleChange = props.handleChange,
      saveButton = props.saveButton,
      title = props.title;

  var _useState = (0, _react.useState)(open),
      visible = _useState[0],
      setVisible = _useState[1];

  var onSubmit = function onSubmit(values) {
    if (handleSubmit) handleSubmit(values);
    setVisible(false);
  };

  var trigger = _react2.default.cloneElement(props.trigger, {
    onClick: function onClick() {
      return setVisible(true);
    }
  });

  var save = _react2.default.cloneElement(saveButton, {
    type: 'submit',
    form: formId
  });

  var cancel = _react2.default.cloneElement(cancelButton, {
    onClick: function onClick() {
      return setVisible(false);
    }
  });

  return _react2.default.createElement(
    _semanticUiReact.Modal,
    { trigger: trigger, open: visible },
    _react2.default.createElement(
      _semanticUiReact.Modal.Header,
      null,
      title
    ),
    _react2.default.createElement(
      _semanticUiReact.Modal.Content,
      null,
      _react2.default.createElement(
        _index.SaveForm,
        { formId: formId, defaultValues: defaultValues, handleChange: handleChange, handleSubmit: onSubmit },
        children
      )
    ),
    _react2.default.createElement(
      _semanticUiReact.Modal.Actions,
      null,
      save,
      cancel
    )
  );
};

FormModal.propTypes = process.env.NODE_ENV !== "production" ? {
  formId: _propTypes2.default.string.isRequired,
  trigger: _propTypes2.default.element.isRequired,
  title: _propTypes2.default.string.isRequired,
  handleSubmit: _propTypes2.default.func,
  handleChange: _propTypes2.default.func,
  open: _propTypes2.default.bool,
  defaultValues: _propTypes2.default.shape({}),
  saveButton: _propTypes2.default.any,
  cancelButton: _propTypes2.default.any
} : {};

FormModal.defaultProps = {
  open: false,
  defaultValues: {},
  saveButton: _react2.default.createElement(_index.Button, { type: 'submit', content: 'Save', icon: 'save', color: 'action-positive', inverted: true }),
  cancelButton: _react2.default.createElement(_index.CancelButton, { inverted: true })
};

exports.default = FormModal;
module.exports = exports['default'];