'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RatingPopup = function RatingPopup(_ref) {
  var database = _ref.database,
      value = _ref.value,
      url = _ref.url;

  var color = 'grey';
  var message = 'Not present in ' + database + '!';
  var content = _react2.default.createElement(
    'p',
    null,
    message
  );

  if (value) {
    color = 'yellow';
    message = 'Present in ' + database + '!';
    content = _react2.default.createElement(
      'div',
      null,
      _react2.default.createElement(
        'p',
        null,
        message
      ),
      _react2.default.createElement(
        'a',
        { target: '_blank', rel: 'noopener noreferrer', href: url },
        _react2.default.createElement(_semanticUiReact.Button, { fluid: true, content: 'Go to ' + database })
      )
    );
  }

  return _react2.default.createElement(_semanticUiReact.Popup, { trigger: _react2.default.createElement(_semanticUiReact.Icon, { color: color, name: 'star' }), content: content, hoverable: true });
};

RatingPopup.propTypes = process.env.NODE_ENV !== "production" ? {
  database: _propTypes2.default.string,
  value: _propTypes2.default.any,
  url: _propTypes2.default.string
} : {};

exports.default = RatingPopup;
module.exports = exports['default'];