'use strict';

exports.__esModule = true;
exports.TurnAroundTimeProgress = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _index = require('../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var TurnAroundTimeProgress = function TurnAroundTimeProgress(_ref) {
  var target = _ref.target,
      start = _ref.start,
      signout = _ref.signout,
      _ref$compact = _ref.compact,
      compact = _ref$compact === undefined ? false : _ref$compact,
      rest = _objectWithoutProperties(_ref, ['target', 'start', 'signout', 'compact']);

  var _utils$getTurnAroundT = _index.utils.getTurnAroundTimeDetails(target, start, signout),
      label = _utils$getTurnAroundT.label,
      color = _utils$getTurnAroundT.color,
      value = _utils$getTurnAroundT.value,
      completed = _utils$getTurnAroundT.completed;

  if (start) {
    return _react2.default.createElement(
      _semanticUiReact.Popup,
      {
        flowing: true,
        trigger: signout ? _react2.default.createElement(
          _semanticUiReact.Button,
          { fluid: true, compact: true, size: 'mini', style: { boxShadow: 'none' } },
          _react2.default.createElement(_semanticUiReact.Icon, { name: 'checkmark', color: 'green' }),
          compact ? null : 'Completed :',
          _react2.default.createElement(
            _semanticUiReact.Label,
            { circular: true, color: color },
            label
          )
        ) : _react2.default.createElement(
          _semanticUiReact.Progress,
          _extends({ value: value, total: target, color: color, active: true, disabled: completed ? true : false }, rest),
          _react2.default.createElement(
            _semanticUiReact.Label,
            null,
            label
          )
        )
      },
      _react2.default.createElement(
        _semanticUiReact.Popup.Content,
        null,
        _react2.default.createElement(
          'strong',
          null,
          'Target:'
        ),
        ' ',
        target,
        ' days',
        _react2.default.createElement('br', null),
        _react2.default.createElement(
          'strong',
          null,
          'Started:'
        ),
        ' ',
        _index.utils.dateFormatter(start, 'YYYY-MM,DD'),
        _react2.default.createElement('br', null),
        _react2.default.createElement(
          'strong',
          null,
          'Signed out:'
        ),
        ' ',
        signout ? _index.utils.dateFormatter(signout, 'YYYY-MM-DD') : 'N/A'
      )
    );
  } else {
    return _react2.default.createElement(
      'p',
      null,
      'Not started!'
    );
  }
};

exports.TurnAroundTimeProgress = TurnAroundTimeProgress;
TurnAroundTimeProgress.propTypes = process.env.NODE_ENV !== "production" ? {
  target: _propTypes2.default.number,
  start: _propTypes2.default.string,
  signout: _propTypes2.default.string,
  compact: _propTypes2.default.bool
} : {};

exports.default = TurnAroundTimeProgress;