'use strict';

exports.__esModule = true;
exports.CheckboxCell = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _lodash = require('lodash');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var CheckboxCell = function CheckboxCell(_ref) {
  var cellData = _ref.cellData,
      rowData = _ref.rowData,
      column = _ref.column,
      rest = _objectWithoutProperties(_ref, ['cellData', 'rowData', 'column']);

  var onSelect = (0, _lodash.get)(column, 'onSelect');
  var onSelectAll = (0, _lodash.get)(column, 'onSelectAll');
  var props = (0, _lodash.get)(column, 'props');
  var selectedRows = (0, _lodash.get)(column, 'selectedRows', []);
  var header = 'headerIndex' in rest;
  var container = (0, _lodash.get)(rest, 'container');
  var rows = (0, _lodash.get)(container, '_data', []);

  if (header) {
    return _react2.default.createElement(_semanticUiReact.Checkbox, _extends({
      checked: selectedRows.length >= rows.length && rows.length > 0,
      indeterminate: selectedRows.length > 0 && selectedRows.length !== rows.length,
      onChange: function onChange(e, data) {
        if (onSelectAll) onSelectAll(e, data, rows);
      }
    }, props));
  }

  return _react2.default.createElement(_semanticUiReact.Checkbox, _extends({
    checked: selectedRows.includes(cellData)
  }, props, {
    onChange: function onChange(e, data) {
      if (onSelect) onSelect(e, _extends({}, data, { cellData: cellData, rowData: rowData }));
    }
  }));
};

exports.CheckboxCell = CheckboxCell;
exports.default = CheckboxCell;