'use strict';

exports.__esModule = true;
exports.LocusCell = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _lodash = require('lodash');

var _externalLink = require('../links/external-link');

var _urlBuilders = require('../utils/urlBuilders');

var urlBuilders = _interopRequireWildcard(_urlBuilders);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LocusCell = exports.LocusCell = function LocusCell(_ref) {
  var rowData = _ref.rowData,
      column = _ref.column;

  var props = (0, _lodash.get)(column, 'props');
  var chromosome = (0, _lodash.get)(rowData, 'chromosome');
  var start = parseInt((0, _lodash.get)(rowData, 'start'), 10).toLocaleString();
  var end = parseInt((0, _lodash.get)(rowData, 'end'), 10).toLocaleString();
  var trigger = chromosome + ':' + start + '-' + end;

  return _react2.default.createElement(
    _semanticUiReact.Popup,
    _extends({ trigger: _react2.default.createElement(
        'p',
        { style: { cursor: 'pointer' } },
        trigger
      ), on: 'click', wide: 'very' }, props),
    _react2.default.createElement(
      _semanticUiReact.Popup.Content,
      null,
      _react2.default.createElement(
        _externalLink.ExternalLink,
        { href: urlBuilders.ucscLocus(chromosome, start, end), style: { paddingRight: 5 } },
        _react2.default.createElement(_semanticUiReact.Label, { content: 'UCSC', color: 'yellow' })
      ),
      _react2.default.createElement(
        _externalLink.ExternalLink,
        { href: urlBuilders.dgvRegionSearch(chromosome, start, end), style: { paddingRight: 5 } },
        _react2.default.createElement(_semanticUiReact.Label, { content: 'DGV', color: 'teal' })
      ),
      _react2.default.createElement(
        _externalLink.ExternalLink,
        { href: urlBuilders.decipherRegionSearch(chromosome, start, end), style: { paddingRight: 5 } },
        _react2.default.createElement(_semanticUiReact.Label, { content: 'Decipher', color: 'blue' })
      )
    )
  );
};

exports.default = LocusCell;