'use strict';

exports.__esModule = true;
exports.StatusCell = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _lodash = require('lodash');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var StatusCell = exports.StatusCell = function StatusCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;

  var labelProps = (0, _lodash.get)(column, 'props', {});
  var value = (0, _lodash.toLower)(cellData);

  var props = {};
  if (value.includes('run')) props = { icon: 'hourglass start', color: 'blue' };else if (value.includes('pend')) props = { icon: 'clock outline', color: 'yellow' };else if (value.includes('complete')) props = { icon: 'checkmark', color: 'green' };else if (value.includes('fail')) props = { icon: 'x', color: 'red' };

  return _react2.default.createElement(_semanticUiReact.Label, _extends({ content: cellData }, props, labelProps));
};

exports.default = StatusCell;