'use strict';

exports.__esModule = true;
exports.Table = exports.LoadingFooterRenderer = exports.NoDataRenderer = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactBaseTable = require('react-base-table');

var _reactBaseTable2 = _interopRequireDefault(_reactBaseTable);

var _reactVirtualizedAutoSizer = require('react-virtualized-auto-sizer');

var _reactVirtualizedAutoSizer2 = _interopRequireDefault(_reactVirtualizedAutoSizer);

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var NoDataRenderer = exports.NoDataRenderer = function NoDataRenderer() {
  return _react2.default.createElement(
    _semanticUiReact.Segment,
    { textAlign: 'center' },
    _react2.default.createElement(_semanticUiReact.Header, { content: 'No Data!' })
  );
};

var LoadingFooterRenderer = exports.LoadingFooterRenderer = function LoadingFooterRenderer() {
  return _react2.default.createElement(
    _semanticUiReact.Dimmer,
    { inverted: true, active: true },
    _react2.default.createElement(_semanticUiReact.Loader, { size: 'tiny', content: 'Loading more...' })
  );
};

var Table = function Table(_ref) {
  var _ref$data = _ref.data,
      data = _ref$data === undefined ? [] : _ref$data,
      _ref$widths = _ref.widths,
      widths = _ref$widths === undefined ? {} : _ref$widths,
      _ref$maxHeight = _ref.maxHeight,
      maxHeight = _ref$maxHeight === undefined ? 500 : _ref$maxHeight,
      _ref$height = _ref.height,
      height = _ref$height === undefined ? 500 : _ref$height,
      _ref$width = _ref.width,
      width = _ref$width === undefined ? 500 : _ref$width,
      _ref$noDataHeight = _ref.noDataHeight,
      noDataHeight = _ref$noDataHeight === undefined ? 100 : _ref$noDataHeight,
      _ref$footerHeight = _ref.footerHeight,
      footerHeight = _ref$footerHeight === undefined ? 50 : _ref$footerHeight,
      _ref$responsive = _ref.responsive,
      responsive = _ref$responsive === undefined ? false : _ref$responsive,
      _ref$loading = _ref.loading,
      loading = _ref$loading === undefined ? false : _ref$loading,
      onFetch = _ref.onFetch,
      children = _ref.children,
      rest = _objectWithoutProperties(_ref, ['data', 'widths', 'maxHeight', 'height', 'width', 'noDataHeight', 'footerHeight', 'responsive', 'loading', 'onFetch', 'children']);

  var _useState = (0, _react.useState)(loading),
      isLoading = _useState[0],
      setLoading = _useState[1];

  (0, _react.useEffect)(function () {
    return setLoading(loading);
  }, [loading]);

  var onEndReached = function onEndReached() {
    if (onFetch) {
      if (!isLoading) {
        onFetch();
        setLoading(true);
      }
    }
  };

  var props = {
    fixed: true,
    data: data,
    maxHeight: data.length === 0 ? undefined : maxHeight,
    height: data.length === 0 ? noDataHeight : undefined,
    footerHeight: isLoading ? footerHeight : 0,
    footerRenderer: LoadingFooterRenderer,
    emptyRenderer: NoDataRenderer,
    onEndReached: onEndReached
  };

  if (responsive) {
    return _react2.default.createElement(
      _reactVirtualizedAutoSizer2.default,
      { disableHeight: true },
      function (_ref2) {
        var autoWidth = _ref2.width;

        return _react2.default.createElement(
          _reactBaseTable2.default,
          _extends({ width: autoWidth }, props, rest),
          children
        );
      }
    );
  }

  return _react2.default.createElement(
    _reactBaseTable2.default,
    _extends({ width: width }, props, rest),
    children
  );
};

exports.Table = Table;
Table.propTypes = process.env.NODE_ENV !== "production" ? {
  data: _propTypes2.default.arrayOf(_propTypes2.default.shape({})),
  maxHeight: _propTypes2.default.number,
  height: _propTypes2.default.number,
  width: _propTypes2.default.number,
  noDataHeight: _propTypes2.default.number,
  footerHeight: _propTypes2.default.number,
  responsive: _propTypes2.default.bool,
  loading: _propTypes2.default.bool,
  onFetch: _propTypes2.default.func,
  children: _propTypes2.default.arrayOf(_propTypes2.default.object)
} : {};

exports.default = Table;