'use strict';

exports.__esModule = true;

var _lodash = require('lodash');

var getClassificationColor = function getClassificationColor(value) {
  var classification = (0, _lodash.toLower)(value);

  switch (true) {
    // Constitutional/Germline Classifications
    case classification.includes('pathogenic'):
      return 'red';
    case ['uncertain significance', 'vus', 'vous'].includes(classification):
      return 'blue';
    case classification.includes('benign'):
      return 'green';

    // Somatic Classifications
    case ['tier 1 - a', 'tier 1 - b', 'tier 2'].includes(classification):
      return 'red';
    case classification.includes('tier 3'):
      return 'blue';
    case classification.includes('tier 4'):
      return 'green';
    default:
      return 'black';
  }
};

exports.default = getClassificationColor;
module.exports = exports['default'];