'use strict';

exports.__esModule = true;

var _lodash = require('lodash');

var getMolecularConsequenceColor = function getMolecularConsequenceColor(value) {
  // NOTE: Using Ensembl VEP rankings
  // See: https://useast.ensembl.org/info/genome/variation/predicted_data.html
  var consequence = (0, _lodash.toLower)(value);

  switch (true) {
    case consequence.includes('frameshift'):
      return 'red';
    case consequence.includes('stop') || consequence.includes('start'):
      return 'red';
    case consequence.includes('missense'):
      return 'blue';
    case consequence.includes('splice'):
      return 'red';
    case consequence.includes('insert') || consequence.includes('deletion'):
      return 'blue';
    default:
      return 'black';
  }
};

exports.default = getMolecularConsequenceColor;
module.exports = exports['default'];