'use strict';

exports.__esModule = true;

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getTurnAroundTimeDetails = function getTurnAroundTimeDetails(target, start, signout) {
  var now = (0, _moment2.default)(Date.now());
  var startMoment = (0, _moment2.default)(start);
  var targetMoment = (0, _moment2.default)(start).add(target, 'days');

  var daysPassed = void 0;
  var label = void 0;
  var color = 'yellow';
  // If it has a signout date, we can use this to subtract against
  if (signout) {
    var signoutMoment = (0, _moment2.default)(signout);
    daysPassed = signoutMoment.diff(startMoment, 'days');
    label = targetMoment.diff(signoutMoment, 'days') * -1;

    if (daysPassed > target) {
      color = 'red';
    } else {
      color = 'green';
    }

    // If not, we have to calculate from now
  } else {
    daysPassed = now.diff(startMoment, 'days');
    label = targetMoment.diff(now, 'days') * -1;

    var percent = daysPassed / target;
    // Label is the time to signout date
    // If the target signout date is 12/19/1987 and today is 12/18/1987, we would display -1
    // We count negative towards the expected date, and incrementally up past signout

    if (percent < 0.5) {
      color = 'green';
    } else if (percent > 0.9) {
      color = 'red';
    }
  }

  return {
    label: label,
    color: color,
    value: signout ? target : daysPassed
  };
};

exports.default = getTurnAroundTimeDetails;
module.exports = exports['default'];