function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import { List } from 'semantic-ui-react';
import { get, map } from 'lodash';

import { utils, BasicLabel, Link } from '../index';

var GeneLinksList = function GeneLinksList(_ref) {
  var genes = _ref.genes,
      rest = _objectWithoutProperties(_ref, ['genes']);

  return React.createElement(
    List,
    rest,
    map(genes, function (gene) {
      var symbol = get(gene, 'symbol');
      var ensembl = get(gene, 'ensemblId');

      return React.createElement(
        List.Item,
        { key: symbol },
        React.createElement(
          List.Content,
          null,
          symbol,
          React.createElement(Link, { href: utils.urlBuilders.omimSearch(symbol), content: React.createElement(BasicLabel, { color: 'green', content: 'OMIM' }) }),
          React.createElement(Link, { href: utils.urlBuilders.hgmdGene(symbol), content: React.createElement(BasicLabel, { color: 'blue', content: 'HGMD' }) }),
          React.createElement(Link, {
            href: utils.urlBuilders.geneReviewsEntry(symbol),
            content: React.createElement(BasicLabel, { color: 'blue', content: 'GeneReviews' })
          }),
          React.createElement(Link, { href: utils.urlBuilders.gtexEntry(symbol), content: React.createElement(BasicLabel, { color: 'red', content: 'GTEx' }) }),
          ensembl && React.createElement(Link, {
            href: utils.urlBuilders.exacGeneEntry(ensembl),
            content: React.createElement(BasicLabel, { color: 'black', content: 'ExAC' })
          }),
          ensembl && React.createElement(Link, {
            href: utils.urlBuilders.gnomadGeneEntry(ensembl),
            content: React.createElement(BasicLabel, { color: 'black', content: 'gnomAD' })
          })
        )
      );
    })
  );
};

GeneLinksList.propTypes = process.env.NODE_ENV !== "production" ? {
  genes: PropTypes.arrayOf(PropTypes.shape({
    symbol: PropTypes.string,
    ensemblId: PropTypes.string
  }))
} : {};

export default GeneLinksList;