var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import { Label, List, Popup } from 'semantic-ui-react';
import { get, join, map } from 'lodash';

import { ExternalLink } from '../links/external-link';
import * as urlBuilders from '../utils/urlBuilders';

export var GeneCell = function GeneCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;

  var props = get(column, 'props');
  var value = [];
  if (typeof cellData === 'string') value = [cellData];else if (cellData instanceof Array) value = cellData;

  var trigger = void 0;
  if (value.length > 3) trigger = value.length + ' genes';else trigger = join(value, ', ');

  return React.createElement(
    Popup,
    _extends({ trigger: React.createElement(
        'p',
        { style: { cursor: 'pointer' } },
        trigger
      ), on: 'click', wide: 'very' }, props),
    React.createElement(
      Popup.Content,
      null,
      React.createElement(
        List,
        null,
        map(value, function (gene) {
          return React.createElement(
            List.Item,
            { key: gene },
            React.createElement(
              List.Content,
              null,
              gene,
              '\xA0\xA0',
              React.createElement(
                ExternalLink,
                { href: urlBuilders.omimSearch(gene), style: { paddingRight: 5 } },
                React.createElement(Label, { content: 'OMIM', color: 'green' })
              ),
              React.createElement(
                ExternalLink,
                { href: urlBuilders.hgmdGene(gene), style: { paddingRight: 5 } },
                React.createElement(Label, { content: 'HGMD', color: 'blue' })
              ),
              React.createElement(
                ExternalLink,
                { href: urlBuilders.geneReviewsEntry(gene), style: { paddingRight: 5 } },
                React.createElement(Label, { content: 'GeneReviews', color: 'blue' })
              ),
              React.createElement(
                ExternalLink,
                { href: urlBuilders.gtexEntry(gene), style: { paddingRight: 5 } },
                React.createElement(Label, { content: 'GTEx', color: 'red' })
              ),
              React.createElement(
                ExternalLink,
                { href: urlBuilders.gnomadGeneEntry(gene) },
                React.createElement(Label, { content: 'gnomAD', color: 'black' })
              )
            )
          );
        })
      )
    )
  );
};

export default GeneCell;