'use strict';

exports.__esModule = true;
// NCBI APIs
var NCBI_EUTILS_ENDPOINT = exports.NCBI_EUTILS_ENDPOINT = 'https://eutils.ncbi.nlm.nih.gov/entrez/eutils';
var NCBI_EFETCH_ENDPOINT = exports.NCBI_EFETCH_ENDPOINT = NCBI_EUTILS_ENDPOINT + '/efetch.fcgi';
var NCBI_ESUMMARY_ENDPOINT = exports.NCBI_ESUMMARY_ENDPOINT = NCBI_EUTILS_ENDPOINT + '/esummary.fcgi';
var NCBI_ESEARCH_ENDPOINT = exports.NCBI_ESEARCH_ENDPOINT = NCBI_EUTILS_ENDPOINT + '/esearch.fcgi';

// NCBI URLs
var NCBI_URL = exports.NCBI_URL = 'https://www.ncbi.nlm.nih.gov';
var PUBMED_URL = exports.PUBMED_URL = NCBI_URL + '/pubmed';
var NCBI_VARIATION_URL = exports.NCBI_VARIATION_URL = NCBI_URL + '/variation/view';
var CLINVAR_URL = exports.CLINVAR_URL = 'https://preview.ncbi.nlm.nih.gov/clinvar';

// Genomic Resources
var COSMIC_URL = exports.COSMIC_URL = 'http://cancer.sanger.ac.uk/cosmic';
var ENSEMBL_GRCH37_URL = exports.ENSEMBL_GRCH37_URL = 'http://grch37.ensembl.org';
var ENSEMBL_GRCH38_URL = exports.ENSEMBL_GRCH38_URL = 'http://grch38.ensembl.org';
var EXAC_URL = exports.EXAC_URL = 'http://exac.broadinstitute.org';
var GNOMAD_URL = exports.GNOMAD_URL = 'http://gnomad.broadinstitute.org';
var UCSC_URL = exports.UCSC_URL = 'https://genome.ucsc.edu';
var DGV_URL = exports.DGV_URL = 'http://dgv.tcag.ca';

// Gene Resources
var GENE_CARDS_URL = exports.GENE_CARDS_URL = 'http://www.genecards.org';
var GHR_URL = exports.GHR_URL = 'https://ghr.nlm.nih.gov'; // Genetics Home Reference
var HGNC_URL = exports.HGNC_URL = 'https://www.genenames.org';
var GENEREVIEWS_URL = exports.GENEREVIEWS_URL = 'https://www.ncbi.nlm.nih.gov/books/NBK1116';
var GTEX_URL = exports.GTEX_URL = 'https://www.gtexportal.org';

// Clinical Resources
var DECIPHER_URL = exports.DECIPHER_URL = 'https://decipher.sanger.ac.uk';
var HGMD_URL = exports.HGMD_URL = 'https://portal.biobase-international.com';
var OMIM_URL = exports.OMIM_URL = 'https://www.omim.org';

// Phenotype Resources
var HPO_URL = exports.HPO_URL = 'http://compbio.charite.de';
var ORPHANET_URL = exports.ORPHANET_URL = 'http://www.orpha.net';

// Internal Resources
var ALAMUT_URL = exports.ALAMUT_URL = 'http://localhost:10000';

// ClinGen
var CLINGEN_URL = exports.CLINGEN_URL = 'https://search.clinicalgenome.org/kb/';