'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _lodash = require('lodash');

var _index = require('../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var GeneLinksList = function GeneLinksList(_ref) {
  var genes = _ref.genes,
      rest = _objectWithoutProperties(_ref, ['genes']);

  return _react2.default.createElement(
    _semanticUiReact.List,
    rest,
    (0, _lodash.map)(genes, function (gene) {
      var symbol = (0, _lodash.get)(gene, 'symbol');
      var ensembl = (0, _lodash.get)(gene, 'ensemblId');

      return _react2.default.createElement(
        _semanticUiReact.List.Item,
        { key: symbol },
        _react2.default.createElement(
          _semanticUiReact.List.Content,
          null,
          symbol,
          _react2.default.createElement(_index.Link, { href: _index.utils.urlBuilders.omimSearch(symbol), content: _react2.default.createElement(_index.BasicLabel, { color: 'green', content: 'OMIM' }) }),
          _react2.default.createElement(_index.Link, { href: _index.utils.urlBuilders.hgmdGene(symbol), content: _react2.default.createElement(_index.BasicLabel, { color: 'blue', content: 'HGMD' }) }),
          _react2.default.createElement(_index.Link, {
            href: _index.utils.urlBuilders.geneReviewsEntry(symbol),
            content: _react2.default.createElement(_index.BasicLabel, { color: 'blue', content: 'GeneReviews' })
          }),
          _react2.default.createElement(_index.Link, { href: _index.utils.urlBuilders.gtexEntry(symbol), content: _react2.default.createElement(_index.BasicLabel, { color: 'red', content: 'GTEx' }) }),
          ensembl && _react2.default.createElement(_index.Link, {
            href: _index.utils.urlBuilders.exacGeneEntry(ensembl),
            content: _react2.default.createElement(_index.BasicLabel, { color: 'black', content: 'ExAC' })
          }),
          ensembl && _react2.default.createElement(_index.Link, {
            href: _index.utils.urlBuilders.gnomadGeneEntry(ensembl),
            content: _react2.default.createElement(_index.BasicLabel, { color: 'black', content: 'gnomAD' })
          })
        )
      );
    })
  );
};

GeneLinksList.propTypes = process.env.NODE_ENV !== "production" ? {
  genes: _propTypes2.default.arrayOf(_propTypes2.default.shape({
    symbol: _propTypes2.default.string,
    ensemblId: _propTypes2.default.string
  }))
} : {};

exports.default = GeneLinksList;
module.exports = exports['default'];