'use strict';

exports.__esModule = true;
exports.GeneCell = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _lodash = require('lodash');

var _externalLink = require('../links/external-link');

var _urlBuilders = require('../utils/urlBuilders');

var urlBuilders = _interopRequireWildcard(_urlBuilders);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var GeneCell = exports.GeneCell = function GeneCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;

  var props = (0, _lodash.get)(column, 'props');
  var value = [];
  if (typeof cellData === 'string') value = [cellData];else if (cellData instanceof Array) value = cellData;

  var trigger = void 0;
  if (value.length > 3) trigger = value.length + ' genes';else trigger = (0, _lodash.join)(value, ', ');

  return _react2.default.createElement(
    _semanticUiReact.Popup,
    _extends({ trigger: _react2.default.createElement(
        'p',
        { style: { cursor: 'pointer' } },
        trigger
      ), on: 'click', wide: 'very' }, props),
    _react2.default.createElement(
      _semanticUiReact.Popup.Content,
      null,
      _react2.default.createElement(
        _semanticUiReact.List,
        null,
        (0, _lodash.map)(value, function (gene) {
          return _react2.default.createElement(
            _semanticUiReact.List.Item,
            { key: gene },
            _react2.default.createElement(
              _semanticUiReact.List.Content,
              null,
              gene,
              '\xA0\xA0',
              _react2.default.createElement(
                _externalLink.ExternalLink,
                { href: urlBuilders.omimSearch(gene), style: { paddingRight: 5 } },
                _react2.default.createElement(_semanticUiReact.Label, { content: 'OMIM', color: 'green' })
              ),
              _react2.default.createElement(
                _externalLink.ExternalLink,
                { href: urlBuilders.hgmdGene(gene), style: { paddingRight: 5 } },
                _react2.default.createElement(_semanticUiReact.Label, { content: 'HGMD', color: 'blue' })
              ),
              _react2.default.createElement(
                _externalLink.ExternalLink,
                { href: urlBuilders.geneReviewsEntry(gene), style: { paddingRight: 5 } },
                _react2.default.createElement(_semanticUiReact.Label, { content: 'GeneReviews', color: 'blue' })
              ),
              _react2.default.createElement(
                _externalLink.ExternalLink,
                { href: urlBuilders.gtexEntry(gene), style: { paddingRight: 5 } },
                _react2.default.createElement(_semanticUiReact.Label, { content: 'GTEx', color: 'red' })
              ),
              _react2.default.createElement(
                _externalLink.ExternalLink,
                { href: urlBuilders.gnomadGeneEntry(gene) },
                _react2.default.createElement(_semanticUiReact.Label, { content: 'gnomAD', color: 'black' })
              )
            )
          );
        })
      )
    )
  );
};

exports.default = GeneCell;